Subject: More robust way of appending TypoScript to contentrendering templates

Description

If an extension used static content ID 43 (content default),

it also added itself (during each runtime of ext_localconf.php)
to all available content blocks.

This is now more confusing as the package manager
resolves the ordering of extensions and now,

CSS Styled Content gets loaded after felogin and
indexed_search.

To resolve this problem completely, the additional
TypoScript for each "contentRenderingTemplate”,

a TS template that provides default content renderings,
is added to one global default TypoScript and is only
merged at the TemplateService class.

Therefore the extension loading ordering
does not matter anymore.

Related issues:
related to Core - Bug # 56570: No rendering definition for CE / no list for p...

related to Core - Bug # 59318: Loading css_styled_content TS using INCLUDE_TY...

related to Core - Bug # 67116: Plugin templates are always loaded twice!?

Closed
Resolved
Resolved

2014-03-05
2014-06-03
2015-05-23

Associated revisions

Revision 3ce53655 - 2014-03-03 20:17 - Benjamin Mack

[TASK] Make TS content templates more flexible

If an extension used static content ID 43 (content default),

it also added itself (during each runtime of ext_localconf.php)
to all available content blocks.

The original way is problematic as an extension that
provides content templates may be included after

an extension that wants to add itself after all content
templates.

This is now more confusing as the package manager
resolves the ordering of extensions and now,

CSS Styled Content gets loaded after felogin and

indexed_search.
To resolve this problem completely, the additional
TypoScript for each "contentRenderingTemplate",

a TS template that provides default content renderings,
is added to one global default TypoScript and is only
merged at the TemplateService class.

Therefore the extension loading ordering does not

matter anymore.

Resolves: #55942

Resolves: #55174

Resolves: #55557

Releases: 6.2

Change-Id: 1d0c983bf96a3a76fde2183c57a17066ef8fd4ac8
Reviewed-on: https://review.typo3.org/27587

Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2014-02-12 18:26 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27587

#2 - 2014-02-14 17:35 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27587

#3 - 2014-02-17 16:31 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27587

#4 - 2014-03-03 20:14 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27587

#5 - 2014-03-03 20:30 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3ce53655a3739dadd732556e1902e7686ef59260.
#6 - 2014-06-03 18:45 - Marc Bastian Heinrichs

Regression: #59318
